#!/bin/bash
#
# Last update: 2020.7.3
# URL : https://docs.cloudlinux.com/index.html?mysql_governor.html

# 安裝 Mysql Governor 
#yum install governor-mysql -y

#ms=$(mysql -V | grep MariaDB 2>/dev/null)
#if [ "$ms" ]; then
#/usr/share/lve/dbgovernor/db-select-mysql --mysql-version=mariadb103
#else
#/usr/share/lve/dbgovernor/db-select-mysql --mysql-version=mysql57
#fi

#/usr/share/lve/dbgovernor/mysqlgovernor.py --install

# 設定 Mysql Governor
dbctl --lve-mode abusers
dbctl set default --cpu=300,150,80,50 --read=300,120,80,30 --write=200,100,50,15 --slow=200

# 重啟 db_governor 服務
systemctl restart db_governor.service
systemctl enable db_governor.service
